Subject: bug#3643: emacs -Q doesn't fit on the user's screen

From: Jan Djärv <[email-masked]>
Date: Wed, 20 Jan 2010 10:58:19 +0100

martin rudalics skrev:
>  > The main reason is that Firefox calculates its window height before
>  > mapping the window.  Emacs on the other hand first maps with tool bar
>  > off and later adds that (in lisp) and the menu bar.  Font changes in
>  > lisp are also applied after the window is shown.
> 
> The main reason is that adding/removing the toolbar or changing the font
> are allowed to change the height of the Emacs frame in order to keep the
> number of displayed lines constant.  This looks like an eternal pain to
> me.  Can't we make this feature customizable at least?
> 

It is not that simple, tool bar and/or menu bar may not be an integral number 
of lines.  Also, if a 10 pt font fits 20 lines perfectly on 340 pixels, an 11 
point font doesn't fit an integral number of lines in 340 pixels, it takes 342 
  or 324.
Now most applications don't care, as they aren't text editors, so they don't 
try to display an integral of text lines.  However, gnome-terminal and xterm 
do, and they resize when you change font.
What to do with the excess?  Some strip at the top that picks up the slack? 
Now it got complicated.

	Jan D.